Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030455
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-07-29 17:222016-06-17 19:38
ReportermfuertesView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisiond1bf16311eab
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030455: Filtering not working in Manage Reservation pop-up when selecting more than one record in Attribute Set Value and other column

DescriptionFiltering not working in Manage Reservation pop-up when selecting more than one record in Attribute Set Value and other column
Steps To ReproduceAs group admin role:
   Create a goods receipt and add a product with an attribute set value that has stock in a storage bin. You should open the Product Selector. Eg.: Zumo de Naranja Bio 0,33L
   Change the Storage Bin to another storage bin in the same warehouse
   Define Enable Stock Reservations preference
   Log out and log in
   Create a Sales Order for the product received
   Click on Manage Reservation window
   Select two values in the Attribute Set Value filter
   Check the records are filtered. This is correct.
   Select a value in the Warehouse or Storage Bin filter
   Check all the records are shown. This is wrong.
Proposed Solutiona) Change the data origin from Datasource (M_StockReservationPEDataSource) to HQL Query

b) Add support for multiple criteria filtering in the methods used by getData() in StockReservationPickAndEditDataSource
TagsNo tags attached.
Attached Filespng file icon issue.png [^] (169,260 bytes) 2015-07-29 17:22


? file icon screencast.mp4 [^] (906,633 bytes) 2015-08-12 13:44

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027788 closedAugustoMauch Filters don't work properly on Manage Stock 
related to defect 0033286 acknowledgedplatform Manage Reservation popup shows wrong filter under some circumstances 

-  Notes
(0079123)
alostale (developer)
2015-07-30 11:06

Unable to reproduce in current pi following steps to reproduce.

Please, if you can reproduce it, add more detailed steps as well as any errors you might have in openbravo.log or in javascript.
(0079322)
mfuertes (developer)
2015-08-12 13:45

Just made a video of the manage reservation window.
(0087137)
markmm82 (developer)
2016-06-09 16:11

Test plan 1:
As group admin role:
   1- Define Enable Stock Reservations preference
   2- Log out and log in
   3- Go to Goods receipt window and create some entries selecting different attributes and storage bins for the same product.
    Add a product with an attribute set value that has stock in a storage bin. You should open the Product Selector.
        Product: Zumo de Naranja Bio 0,33L
        Attribute: L5
        Storage Bin: Rn-0-0-0
    Complete
    Add a product with an attribute set value that has stock in a storage bin. You should open the Product Selector.
        Product: Zumo de Naranja Bio 0,33L
        Attribute: L8
        Storage Bin: Rn-0-0-0
    Complete
    Add a product with an attribute set value that has stock in a storage bin. You should open the Product Selector.
        Product: Zumo de Naranja Bio 0,33L
        Attribute: L8
        Storage Bin: Rn-2-0-0
    Complete
   4- Go to Sales Order window and create a Sales Order for the product received
    Product: Zumo de Naranja Bio 0,33L
   5- Click on Manage Reservation window
    Check the previous goods receipts created for Zumo de Naranja are shown.
   6- Select two values in the Attribute Set Value filter
    Attribute: ==L5 or ==L8
       Check the records are filtered and only shows records for attributes equal to L5 or L8. This is correct.
   7- Select a value in the Warehouse.
    Warehouse: Región Norte
       Check only the records for the selected filters (Warehouse Región Norte and Attributes L5 or L8) are shown. This is correct.

Test plan 2
  Repeat steps 1 to 5.
   6- Select Storage Bin: Rn-0-0-0
    Check the records are filtered and only records for Storage bin Rn-0-0-0 are shown, not other filter is applied. This is correct.
   7- Select two values in the Attribute Set Value filter
    Attribute: ==L5 or ==L8
       Check the records are filtered and only records for Storage bin Rn-0-0-0 and attributes equal to L5 or L8 are shown. This is correct.
   8- Select a value in the Warehouse.
    Warehouse: Región Norte
       Check only the records for the selected filters (selected Storage bin, Warehouse and Attributes) are shown.
   9- Click again in Storage bin selector
    Check that filter ==Rn-0-0-0 is replaced by ==54EB861A446D464EAA433477A1D867A6. The records still correctly filtered, but the Rn-0-0-0 option in the drop down is unselected. It is wrong.
  10- Click at any other filter without change any of them.
    Check some or all records dissapear.

Test plan 3
  Repeat steps 1 to 5.
   6- Select L5 in the Attribute Set Value filter
    Attribute: ==L5
       Check the records are filtered and only records for attributes equal to L5 are shown. This is correct.
   7- Select Storage Bin: Rn-0-0-0
    Check the records are filtered and only records for Storage bin Rn-0-0-0 and attributes equal to L5 are shown. This is correct.
   8- Click again in Attribute Set Value filter
    Check that filter ==L5 is replaced by ==A3D2CFF6B76F49EFA0922456A69CA211. The records still correctly filtered, but the L5 option in the drop down is unselected. It is wrong.
   9- Click at any other filter without change any of them.
    Check all records dissapear.

Test Plan 4 (sometimes test plan 3 is not reproducible after step 7)
 Repeat steps 1 to 5.
   6- Select L5 in the Attribute Set Value filter
    Attribute: ==L5
       Check the records are filtered and only records for attributes equal to L5 are shown. This is correct.
   7a- Select Storage Bin: Rn-0-0-0
    Check the records are filtered and only records for Storage bin Rn-0-0-0 and attributes equal to L5 are shown. This is correct.
   7b- Deselect Storage Bin: Rn-0-0-0
   8- Click again in Attribute Set Value filter
    Check that filter ==L5 is replaced by ==A3D2CFF6B76F49EFA0922456A69CA211. The records still correctly filtered, but the L5 option in the drop down is unselected. It is wrong.
   9- Click at any other filter without change any of them.
    Check all records dissapear.
(0087334)
hgbot (developer)
2016-06-16 11:20

Repository: erp/devel/pi
Changeset: d1bf16311eab6cc19030cc19d2f3d2b11ad43895
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Jun 09 11:05:00 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/d1bf16311eab6cc19030cc19d2f3d2b11ad43895 [^]

Fixes issue 30455: Add support for multiple filtering in Stock Reservation P&E

Added support for multiple criteria filtering in getGridData method

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0087335)
hgbot (developer)
2016-06-16 11:20

Repository: erp/devel/pi
Changeset: bf09b8450ffa47543e6c56ca33cead56c39162c9
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Jun 15 13:54:21 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bf09b8450ffa47543e6c56ca33cead56c39162c9 [^]

Related to issue 30455: Code review improvements

Added also support for multiple criteria filtering in getWarehouseFilterData, getStorageFilterData, getAttributeSetValueFilterData and getOrderLineSetValueFilterData methods.
Add criteria.has("fieldName") check to avoid NPE.

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0087339)
aferraz (developer)
2016-06-16 11:41

Code review + Testing OK
(0087626)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087627)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-29 17:22 mfuertes New Issue
2015-07-29 17:22 mfuertes Assigned To => platform
2015-07-29 17:22 mfuertes File Added: issue.png
2015-07-29 17:22 mfuertes Modules => Core
2015-07-29 17:22 mfuertes Triggers an Emergency Pack => No
2015-07-30 11:06 alostale Note Added: 0079123
2015-07-30 11:06 alostale Assigned To platform => mfuertes
2015-07-30 11:06 alostale Status new => feedback
2015-08-04 11:19 ngarcia Description Updated View Revisions
2015-08-12 13:44 mfuertes File Added: screencast.mp4
2015-08-12 13:45 mfuertes Note Added: 0079322
2015-08-14 13:40 mfuertes Status feedback => new
2015-08-17 08:57 VictorVillar Assigned To mfuertes => platform
2015-08-17 08:57 VictorVillar Reproducibility have not tried => always
2015-08-17 08:58 VictorVillar Issue Monitored: networkb
2015-08-17 09:57 mfuertes Assigned To platform => Triage Finance
2015-08-17 09:57 mfuertes Category B. User interface => 04. Warehouse management
2016-04-05 18:04 ngarcia Proposed Solution updated
2016-06-02 12:47 ngarcia Relationship added related to 0027788
2016-06-02 12:49 ngarcia Assigned To Triage Finance => platform
2016-06-02 12:49 ngarcia Priority high => urgent
2016-06-02 12:49 ngarcia Severity minor => major
2016-06-02 12:55 ngarcia Assigned To platform => Triage Finance
2016-06-02 12:56 ngarcia Proposed Solution updated
2016-06-02 13:06 ngarcia Summary Filtering not working when selecting more than one => Filtering not working in Manage Reservation pop-up when selecting more than one record in Attribute Set Value and other column
2016-06-02 13:06 ngarcia Description Updated View Revisions
2016-06-02 13:06 ngarcia Steps to Reproduce Updated View Revisions
2016-06-02 13:06 ngarcia Proposed Solution updated
2016-06-06 13:16 aferraz Assigned To Triage Finance => markmm82
2016-06-06 17:44 markmm82 Status new => scheduled
2016-06-09 16:11 markmm82 Note Added: 0087137
2016-06-16 11:20 hgbot Checkin
2016-06-16 11:20 hgbot Note Added: 0087334
2016-06-16 11:20 hgbot Status scheduled => resolved
2016-06-16 11:20 hgbot Resolution open => fixed
2016-06-16 11:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1bf16311eab6cc19030cc19d2f3d2b11ad43895 [^]
2016-06-16 11:20 hgbot Checkin
2016-06-16 11:20 hgbot Note Added: 0087335
2016-06-16 11:39 aferraz Relationship added related to 0033286
2016-06-16 11:41 aferraz Review Assigned To => aferraz
2016-06-16 11:41 aferraz Note Added: 0087339
2016-06-16 11:41 aferraz Status resolved => closed
2016-06-16 11:41 aferraz Fixed in Version => 3.0PR16Q3
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087626
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087627


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker